<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:ns10="http://purl.org/dc/elements/1.1/" xmlns:ns11="http://jazz.net/xmlns/alm/qm/v0.1/executionresult/v0.1"
	xmlns:ns12="http://jazz.net/xmlns/alm/qm/v0.1/executionworkitem/v0.1"
	xmlns:ns2="http://jazz.net/xmlns/alm/qm/v0.1/" xmlns:ns3="http://jazz.net/xmlns/alm/v0.1/"
	xmlns:ns4="http://jazz.net/xmlns/alm/qm/v0.1/catalog/v0.1" xmlns:ns5="http://schema.ibm.com/vega/2008/"
	xmlns:ns6="http://jazz.net/xmlns/alm/qm/v0.1/testscript/v0.1/"
	xmlns:ns7="http://jazz.net/xmlns/alm/qm/v0.1/tsl/v0.1/" xmlns:ns8="http://jazz.net/xmlns/alm/qm/qmadapter/task/v0.1"
	xmlns:ns9="http://jazz.net/xmlns/alm/qm/qmadapter/v0.1" xmlns:ns15="http://jazz.net/xmlns/alm/qm/v0.1/#extension"
	exclude-result-prefixes="ns9 ns15 ns10 ns11 ns12 ns8 ns7 ns6 ns5 ns4 ns3 ns2 xsl">
	<xsl:include href="wrapping-rules.xsl"/>
	
	<xsl:variable name="lang">
		<xsl:value-of select="locale" />
	</xsl:variable>
	
	<xsl:template match="transformArgs">
		<xsl:choose>
			<xsl:when
				test="(componentType='STAND_ALONE') or (componentType='STAND_ALONE_SUMMARY')">
				<fo:page-sequence xmlns:fo="http://www.w3.org/1999/XSL/Format"
					initial-page-number="1" force-page-count="no-force"
					master-reference="PageMaster">
					<fo:static-content flow-name="xsl-region-before">
						<fo:block font-size="8pt" text-align="right">
							<fo:page-number />
							/
							<fo:page-number-citation ref-id="{reqNumber}" />
						</fo:block>
					</fo:static-content>
					<fo:static-content flow-name="xsl-region-after">
						<fo:block-container height="0.1in"
							padding-after="0.07in">
							<fo:block text-align="center">
								<fo:leader leader-pattern='rule' rule-thickness='1pt'
									leader-length='100%' />
							</fo:block>
						</fo:block-container>
						<fo:block text-align="center">
							<fo:retrieve-marker retrieve-class-name="artifactUri" />
						</fo:block>
					</fo:static-content>
					<fo:flow flow-name="xsl-region-body">
						<fo:marker marker-class-name="artifactUri">
							<fo:block font-size="6pt">
								<fo:basic-link external-destination="{originUrl}"
									color="blue" text-decoration="underline">
									<xsl:value-of select="originUrl" />
								</fo:basic-link>
							</fo:block>
						</fo:marker>
						<xsl:apply-templates select="descendant::ns2:testcase" />
						<fo:block id="{reqNumber}" />
					</fo:flow>
				</fo:page-sequence>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="descendant::ns2:testcase" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ns2:testcase">
		<xsl:choose>
			<xsl:when
				test="(../../componentType='SUMMARY') or (../../componentType='STAND_ALONE_SUMMARY') or (../../componentType='COMPOSITE_SUMMARY')">
				<xsl:choose>
					<xsl:when
						test="../../componentType='STAND_ALONE_SUMMARY' or (../../componentType='COMPOSITE_SUMMARY')">
						<xsl:if test="../../componentType='STAND_ALONE_SUMMARY'">
							<fo:block font-size="14pt" space-before="6mm"
								space-after="2mm">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
								:
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestCase" />
							</fo:block>
						</xsl:if>
						<fo:table border="0.5pt solid black">
							<fo:table-header>
								<fo:table-row keep-together="always"
									background-color="rgb(249,245,219)">
									<fo:table-cell keep-together.within-column="always" width="10mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId"/>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="15mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="22mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="22mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="22mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="15mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWeight" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="20mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>
								<fo:table-row keep-together="always">
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
	                                            <!--xsl:value-of select="substring-after(ns10:identifier,'testcase:')" /-->
	                                            <xsl:value-of select="//generatedId" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:apply-templates select="ns10:title"/>												
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:choose>
													<xsl:when test="ns3:state='com.ibm.rqm.planning.common.new'">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
													</xsl:when>
													<xsl:when
														test="ns3:state='com.ibm.rqm.planning.common.underreview'">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
													</xsl:when>
													<xsl:when
														test="ns3:state='com.ibm.rqm.planning.common.approved'">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block>
												<xsl:choose>
													<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory]">
														<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory]/@value" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block>
												<xsl:choose>
													<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction]">
														<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction]/@value" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block>
												<xsl:choose>
													<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme]">
														<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme]/@value" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:value-of select="ns2:weight" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block>
												<xsl:value-of select="ns3:updated" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row keep-together="always">
							<fo:table-cell keep-together.within-column="always"
								padding="1pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
	                                    <!--xsl:value-of select="substring-after(ns10:identifier,'testcase:')" /-->
	                                    <xsl:value-of select="//generatedId" />										
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:apply-templates select="ns10:title"/>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:choose>
											<xsl:when test="ns3:state='com.ibm.rqm.planning.common.new'">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
											</xsl:when>
											<xsl:when
												test="ns3:state='com.ibm.rqm.planning.common.underreview'">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
											</xsl:when>
											<xsl:when test="ns3:state='com.ibm.rqm.planning.common.approved'">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block>
										<xsl:choose>
											<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory]">
												<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block>
										<xsl:choose>
											<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction]">
												<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block>
										<xsl:choose>
											<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme]">
												<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:value-of select="ns2:weight" />
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block>
										<xsl:value-of select="ns3:updated" />
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<!--
				<xsl:if test="(../../componentType='COMPOSITE') and
				(../../recursive)">
			-->
			<xsl:when test="(../../componentType='COMPOSITE') and (../../recursive)">
				<fo:wrapper>
					<fo:table-row keep-together="always">
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block font-size="10pt">
									<!--xsl:value-of select="substring-after(ns10:identifier,'testcase:')" /-->
									<xsl:value-of select="//generatedId" />
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block font-size="10pt">
									<fo:basic-link internal-destination="{ns10:identifier}"
										color="blue" text-decoration="underline">
										<xsl:apply-templates select="ns10:title"/>
									</fo:basic-link>
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block font-size="10pt">
									<xsl:choose>
										<xsl:when test="ns3:state='com.ibm.rqm.planning.common.new'">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
										</xsl:when>
										<xsl:when
											test="ns3:state='com.ibm.rqm.planning.common.underreview'">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
										</xsl:when>
										<xsl:when test="ns3:state='com.ibm.rqm.planning.common.approved'">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block>
									<xsl:choose>
										<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory]">
											<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory]/@value" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block>
									<xsl:choose>
										<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction]">
											<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction]/@value" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block>
									<xsl:choose>
										<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme]">
											<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme]/@value" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block font-size="10pt">
									<xsl:value-of select="ns2:weight" />
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
						<fo:table-cell keep-together.within-column="always"
							padding="3pt" border="0.5pt solid black">
							<fo:block-container overflow="hidden">
								<fo:block>
									<xsl:value-of select="ns3:updated" />
								</fo:block>
							</fo:block-container>
						</fo:table-cell>
					</fo:table-row>
					<fo:block xmlns:fo="http://www.w3.org/1999/XSL/Format">
					
						<!--
							<xsl:attribute name="break-after">page</xsl:attribute>
						-->
						<xsl:attribute name="id">
                            <xsl:value-of select="ns10:identifier" />
                        </xsl:attribute>


					<fo:block font-size="14pt" space-after="6mm" text-align="left"
						font-weight="bold" text-decoration="underline" color="rgb(0,0,0)">
                        <xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestCase" />
                        <xsl:text> </xsl:text><xsl:value-of select="//generatedId" />: <xsl:value-of select="ns10:title" />						
					</fo:block>
					<fo:block font-size="10pt" space-after="2mm" text-align="left"
						font-weight="bold">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeloriginatorLabel" />
						:
						<xsl:value-of select="ns10:creator" />
					</fo:block>
					<fo:block font-size="10pt" space-after="4mm" text-align="left"
						font-weight="bold">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
						:
						<xsl:choose>
							<xsl:when test="ns3:state='com.ibm.rqm.planning.common.new'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
							</xsl:when>
							<xsl:when test="ns3:state='com.ibm.rqm.planning.common.underreview'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
							</xsl:when>
							<xsl:when test="ns3:state='com.ibm.rqm.planning.common.approved'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>

					<xsl:for-each select="ns2:section">
						<xsl:choose>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-SUMMARY-TITLE'">

								<fo:block font-size="10pt" space-after="4mm" space-before="4mm"
									font-weight="bold" text-decoration="underline" text-align="left">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
								</fo:block>
								<xsl:for-each select="../../../categoryType">
									<fo:block>
										<xsl:value-of select="current()" />
										:
										<xsl:choose>
											<xsl:when test="../artifactXML/ns2:testcase/ns2:category[@term=current()]">
												<xsl:value-of select="../artifactXML/ns2:testcase/ns2:category[@term=current()]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</xsl:for-each>
								<fo:block font-size="10pt">
									<xsl:variable name="activity">
										<xsl:value-of select="../ns2:activity" />
									</xsl:variable>
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActivity" />
									:
									<xsl:choose>
										<xsl:when
											test="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$activity]">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$activity]" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
								<fo:block font-size="10pt">
									<xsl:variable name="trigger">
										<xsl:value-of select="../ns2:trigger" />
									</xsl:variable>
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTrigger" />
									:
									<xsl:choose>
										<xsl:when
											test="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$trigger]">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$trigger]" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
								<fo:block font-size="10pt">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWeight" />
									:
									<xsl:value-of select="../ns2:weight" />
								</fo:block>
								<fo:block font-size="10pt" space-before="4mm">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
									:
									<xsl:value-of select="../ns10:description" />
								</fo:block>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-DESIGN-TITLE'">

								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCaseDesign">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TC-DESIGN-TITLE" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCaseDesign" />
									</fo:block>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-REVIEW-TITLE'">

								<xsl:if test="../ns2:approvals/ns2:approvalDescriptor">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFormalReview" />
									</fo:block>
									<fo:table>
										<fo:table-header>
											<fo:table-row background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="30mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTitleApprovalTable" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="30mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_comments" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:apply-templates
												select="../ns2:approvals/ns2:approvalDescriptor" />
										</fo:table-body>
									</fo:table>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-REQ-TITLE'">

								<xsl:if test="../ns2:requirement">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelRequirements" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:requirement/fo:wrapper/fo:block) and (../ns2:requirement/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="7mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="30mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelOwner" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:requirement/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:requirement/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<fo:leader/>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:if test="position()=last()">
																<xsl:attribute name="break-after">page</xsl:attribute>
															</xsl:if>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:requirement/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:requirement/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:requirement/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:requirement/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:requirement/fo:block">
											<xsl:copy-of select="../ns2:requirement/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-PRE-COND-TITLE'">

								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCasePreCondition">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPreConditions" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCasePreCondition" />
									</fo:block>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-POST-COND-TITLE'">
								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCasePostCondition">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPostConditions" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCasePostCondition" />
									</fo:block>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-EXP-RESULTS-TITLE'">

								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TC-EXP-RESULTS-TITLE" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults" />
									</fo:block>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-SCRIPTS-TITLE'">

								<xsl:if test="../ns2:testscript">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestScripts" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:testscript/fo:wrapper/fo:block) and (../ns2:testscript/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															width="7mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															border="0.5pt solid black" padding="3pt">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="30mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelScriptType" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<fo:block font-weight="bold">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
																	</fo:block>
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:testscript/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:testscript/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<fo:leader/>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:if test="position()=last()">
																<xsl:attribute name="break-after">page</xsl:attribute>
															</xsl:if>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:testscript/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:testscript/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:testscript/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:testscript/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="ns2:testscript/fo:block">
											<xsl:copy-of select="ns2:testscript/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>

							</xsl:when>
							
							<!-- EXECUTION WORK ITEMS (TERs) -->
							<xsl:when test="@name='RQM-KEY-EXE-EWIS-TITLE'">
								<xsl:if test="../ns2:executionworkitems/ns2:executionworkitem">
									<fo:block font-size="10pt" space-before="4mm" space-after="4mm" font-weight="bold" text-decoration="underline" 
										text-align="left" keep-with-next="always">
										<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelEWIs"/>
									</fo:block>
								<xsl:choose>
								<!-- COMPOSITE RECURSIVE PRINT -->
								<xsl:when test="(../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:block) and (../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:table-row)">
								<fo:table border="0.5pt solid black">
									<fo:table-header>
										<fo:table-row keep-together="always" background-color="rgb(249,245,219)" font-size="8pt" font-weight="bold">
											<fo:table-cell keep-together.within-column="always" padding="3pt" border="0.5pt solid black" width="29mm">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestEnvironment" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="22mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestCase" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="22mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestPlan" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestScript" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestMilestone" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelOwner" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="15mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelLastResult" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWeight" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-header>
									<fo:table-body>
										<xsl:copy-of select="../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:table-row" />
									</fo:table-body>
								</fo:table>
								<xsl:for-each select="../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:block">
									<xsl:choose>
										<xsl:when test="//pageBreaks = 'false'">
											<fo:block>
												<fo:leader/>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block break-before="page">
												<xsl:if test="position()=last() and (//ns2:attachment or //ns15:*[contains(local-name(),'dynamic')])">
													<xsl:attribute name="break-after">page</xsl:attribute>
												</xsl:if>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!--									COMPOSITE SUMMARY VIEW-->
							<xsl:when test="../ns2:executionworkitems/ns2:executionworkitem/fo:table">
								<fo:table border="0.5pt solid black">
									<xsl:copy-of
										select="../ns2:executionworkitems/ns2:executionworkitem/fo:table/fo:table-header" />
									<fo:table-body>
										<xsl:copy-of
											select="../ns2:executionworkitems/ns2:executionworkitem/fo:table/fo:table-body/fo:table-row" />
										<xsl:copy-of
											select="../ns2:executionworkitems/ns2:executionworkitem/fo:table-row" />
									</fo:table-body>
								</fo:table>
							</xsl:when>
							<!--										COMPOSITE STAND ALONE-->
							<xsl:when test="../ns2:executionworkitems/ns2:executionworkitem/fo:block">
								<xsl:copy-of
									select="../ns2:executionworkitems/ns2:executionworkitem/fo:block" />
							</xsl:when>
						</xsl:choose>
					</xsl:if>
							
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-ATTACHMENTS-TITLE'">
							
							<xsl:if test="../ns2:attachment">
						<fo:block font-size="10pt" space-before="4mm"
							space-after="4mm" font-weight="bold" text-decoration="underline"
							text-align="left" keep-with-next="always">
							<xsl:value-of
								select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelAttachments" />
						</fo:block>
						<fo:table border="0.5pt solid black">
							<fo:table-header>
								<fo:table-row keep-together="always">
									<fo:table-cell keep-together.within-column="always"
										width="7mm" border="0.5pt solid black" background-color="rgb(249,245,219)">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold" font-size="10pt">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										border="0.5pt solid black" background-color="rgb(249,245,219)">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold" font-size="10pt">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFileName" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										border="0.5pt solid black" background-color="rgb(249,245,219)">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold" font-size="10pt">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSize" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>
								<xsl:apply-templates select="../ns2:attachment" />
							</fo:table-body>
						</fo:table>
					</xsl:if>
							
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-WI-SECTION-TITLE'">
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-RISK-TITLE'">

								<xsl:if test="../ns2:risk">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always"> Risk Assessment </fo:block>
									<fo:block font-size="10pt" space-after="4mm">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.risk.editor.section.planAssessment" />
									</fo:block>
									<fo:block space-after="4mm">
										Risk Assessment:
										<xsl:value-of select="../ns2:risk/ns2:riskLevel" />
									</fo:block>
									<xsl:if test="../ns2:risk/ns2:factors/ns2:factor">
										<fo:table space-after="4mm">
											<fo:table-header>
												<fo:table-row background-color="rgb(249,245,219)">
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-weight="bold"> Risk </fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-weight="bold"> Importance </fo:block>
														</fo:block-container>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-header>
											<fo:table-body>
												<xsl:for-each select="../ns2:risk/ns2:factors/ns2:factor">
													<fo:table-row>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block>
																	<xsl:value-of select="ns2:name" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block>
																	<xsl:value-of select="ns2:weight" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</xsl:for-each>
											</fo:table-body>
										</fo:table>
									</xsl:if>
									<xsl:if test="../ns2:risk/ns2:commnunityAssessment">
										<fo:table>
											<fo:table-column column-width="25mm" />
											<fo:table-column column-width="25mm" />
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Very High:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:veryHighAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>High:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:highAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Neutral:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:neutralAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Low:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:lowAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Very Low:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:veryLowAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
									</xsl:if>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-NOTES-TITLE'">
							
							
								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										Notes:
									</fo:block>
									<fo:block font-size="10pt" space-after="4mm">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults" />
									</fo:block>
								</xsl:if>
							
							
							</xsl:when>

							<!--

								This will print any custom formatted sections
							-->
							<xsl:otherwise>
							
							<xsl:if test="../ns15:*[@extensionDisplayName=current()/@name]">
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:*[@extensionDisplayName=current()/@name]" />
									</fo:block>
								</xsl:if>
							
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>


					<xsl:if test="ns2:workitem">
						<fo:block font-size="10pt" space-before="4mm"
							space-after="4mm" font-weight="bold" text-decoration="underline"
							text-align="left" keep-with-next="always">
							<xsl:value-of
								select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWorkItems" />
						</fo:block>
						<xsl:choose>
							<!--								COMPOSITE RECURSIVE PRINT-->
							<xsl:when
								test="(ns2:workitem/fo:wrapper/fo:block) and (ns2:workitem/fo:wrapper/fo:table-row)">
								<fo:table border="0.5pt solid black">
									<fo:table-header>
										<fo:table-row keep-together="always"
											background-color="rgb(249,245,219)">
											<fo:table-cell keep-together.within-column="always"
												width="25mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelType" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="7mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-header>
									<fo:table-body>
										<xsl:copy-of select="ns2:workitem/fo:wrapper/fo:table-row" />
									</fo:table-body>
								</fo:table>
								<xsl:for-each select="ns2:tworkitem/fo:wrapper/fo:block">
									<xsl:choose>
										<xsl:when test="//pageBreaks = 'false'">
											<fo:block>
												<fo:leader/>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block break-before="page">
												<xsl:if test="position()=last()">
													<xsl:attribute name="break-after">page</xsl:attribute>
												</xsl:if>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!--									COMPOSITE SUMMARY VIEW-->
							<xsl:when test="ns2:workitem/fo:table">
								<fo:table border="0.5pt solid black">
									<xsl:copy-of select="ns2:workitem/fo:table/fo:table-header" />
									<fo:table-body>
										<xsl:copy-of
											select="ns2:workitem/fo:table/fo:table-body/fo:table-row" />
										<xsl:copy-of select="ns2:workitem/fo:table-row" />
									</fo:table-body>
								</fo:table>
							</xsl:when>
							<!--										COMPOSITE STAND ALONE-->
							<xsl:when test="ns2:workitem/fo:block">
								<xsl:copy-of select="ns2:workitem/fo:block" />
							</xsl:when>
						</xsl:choose>
					</xsl:if>
				</fo:block>
				</fo:wrapper>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xmlns:fo="http://www.w3.org/1999/XSL/Format">
					<xsl:if test="(../../componentType='COMPOSITE')">
						<!--
							<xsl:attribute name="break-after">page</xsl:attribute>
						-->
						<xsl:attribute name="id">
                            <xsl:value-of select="ns10:identifier" />
                        </xsl:attribute>
					</xsl:if>

					<fo:block font-size="14pt" space-after="6mm" text-align="left"
						font-weight="bold" text-decoration="underline" color="rgb(0,0,0)">
                        <xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestCase" />
                        <xsl:text> </xsl:text><xsl:value-of select="//generatedId" />: <xsl:value-of select="ns10:title" />
					</fo:block>
					<fo:block font-size="10pt" space-after="2mm" text-align="left"
						font-weight="bold">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeloriginatorLabel" />
						:
						<xsl:value-of select="ns10:creator" />
					</fo:block>
					<fo:block font-size="10pt" space-after="4mm" text-align="left"
						font-weight="bold">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
						:
						<xsl:choose>
							<xsl:when test="ns3:state='com.ibm.rqm.planning.common.new'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
							</xsl:when>
							<xsl:when test="ns3:state='com.ibm.rqm.planning.common.underreview'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
							</xsl:when>
							<xsl:when test="ns3:state='com.ibm.rqm.planning.common.approved'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>

					<xsl:for-each select="ns2:section">
						<xsl:choose>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-SUMMARY-TITLE'">

								<fo:block font-size="10pt" space-after="4mm" space-before="4mm"
									font-weight="bold" text-decoration="underline" text-align="left">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
								</fo:block>
								<xsl:for-each select="../../../categoryType">
									<fo:block>
										<xsl:value-of select="current()" />
										:
										<xsl:choose>
											<xsl:when test="../artifactXML/ns2:testcase/ns2:category[@term=current()]">
												<xsl:value-of select="../artifactXML/ns2:testcase/ns2:category[@term=current()]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</xsl:for-each>
								<fo:block font-size="10pt">
									<xsl:variable name="activity">
										<xsl:value-of select="../ns2:activity" />
									</xsl:variable>
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActivity" />
									:
									<xsl:choose>
										<xsl:when
											test="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$activity]">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$activity]" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
								<fo:block font-size="10pt">
									<xsl:variable name="trigger">
										<xsl:value-of select="../ns2:trigger" />
									</xsl:variable>
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTrigger" />
									:
									<xsl:choose>
										<xsl:when
											test="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$trigger]">
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]//*[name()=$trigger]" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of
												select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
								<fo:block font-size="10pt">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWeight" />
									:
									<xsl:value-of select="../ns2:weight" />
								</fo:block>
								<fo:block font-size="10pt" space-before="4mm">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
									:
									<xsl:value-of select="../ns10:description" />
								</fo:block>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-DESIGN-TITLE'">

								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCaseDesign">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TC-DESIGN-TITLE" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCaseDesign" />
									</fo:block>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-REVIEW-TITLE'">

								<xsl:if test="../ns2:approvals/ns2:approvalDescriptor">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFormalReview" />
									</fo:block>
									<fo:table>
										<fo:table-header>
											<fo:table-row background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="30mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTitleApprovalTable" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="30mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_comments" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:apply-templates
												select="../ns2:approvals/ns2:approvalDescriptor" />
										</fo:table-body>
									</fo:table>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-REQ-TITLE'">

								<xsl:if test="../ns2:requirement">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelRequirements" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:requirement/fo:wrapper/fo:block) and (../ns2:requirement/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="7mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="30mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelOwner" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:requirement/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:requirement/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<fo:leader/>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:if test="position()=last()">
																<xsl:attribute name="break-after">page</xsl:attribute>
															</xsl:if>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:requirement/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:requirement/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:requirement/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:requirement/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:requirement/fo:block">
											<xsl:copy-of select="../ns2:requirement/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-PRE-COND-TITLE'">

								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCasePreCondition">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPreConditions" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCasePreCondition" />
									</fo:block>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-POST-COND-TITLE'">
								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCasePostCondition">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPostConditions" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCasePostCondition" />
									</fo:block>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-EXP-RESULTS-TITLE'">

								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TC-EXP-RESULTS-TITLE" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults" />
									</fo:block>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-SCRIPTS-TITLE'">

								<xsl:if test="../ns2:testscript">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestScripts" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:testscript/fo:wrapper/fo:block) and (../ns2:testscript/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															width="7mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															border="0.5pt solid black" padding="3pt">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="30mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelScriptType" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<fo:block font-weight="bold">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
																	</fo:block>
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:testscript/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:testscript/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<fo:leader/>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:if test="position()=last()">
																<xsl:attribute name="break-after">page</xsl:attribute>
															</xsl:if>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:testscript/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:testscript/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:testscript/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:testscript/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:testscript/fo:block/fo:table">
											<xsl:copy-of select="../ns2:testscript/fo:block/fo:table" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-EXE-EWIS-TITLE'">
							<xsl:if test="../ns2:executionworkitems/ns2:executionworkitem">
						<fo:block font-size="10pt" space-before="4mm"
							space-after="4mm" font-weight="bold" text-decoration="underline"
							text-align="left" keep-with-next="always">
							<xsl:value-of
								select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelEWIs" />
						</fo:block>
						<xsl:choose>
							<!--								COMPOSITE RECURSIVE PRINT-->
							<xsl:when
								test="(../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:block) and (../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:table-row)">
								<fo:table border="0.5pt solid black">
									<fo:table-header>
										<fo:table-row keep-together="always" background-color="rgb(249,245,219)" font-size="8pt" font-weight="bold">
											<fo:table-cell keep-together.within-column="always"
												padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestEnvironment" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="22mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestCase" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="22mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestPlan" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestScript" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestMilestone" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelOwner" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="15mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelLastResult" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWeight" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-header>
									<fo:table-body>
										<xsl:copy-of
											select="../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:table-row" />
									</fo:table-body>
								</fo:table>
								<xsl:for-each select="../ns2:executionworkitems/ns2:executionworkitem/fo:wrapper/fo:block">
									<xsl:choose>
										<xsl:when test="//pageBreaks = 'false'">
											<fo:block>
												<fo:leader/>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block break-before="page">
												<xsl:if test="position()=last() and (//ns2:attachment or //ns15:*[contains(local-name(),'dynamic')])">
													<xsl:attribute name="break-after">page</xsl:attribute>
												</xsl:if>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!--									COMPOSITE SUMMARY VIEW-->
							<xsl:when test="../ns2:executionworkitems/ns2:executionworkitem/fo:table">
								<fo:table border="0.5pt solid black">
									<xsl:copy-of
										select="../ns2:executionworkitems/ns2:executionworkitem/fo:table/fo:table-header" />
									<fo:table-body>
										<xsl:copy-of
											select="../ns2:executionworkitems/ns2:executionworkitem/fo:table/fo:table-body/fo:table-row" />
										<xsl:copy-of
											select="../ns2:executionworkitems/ns2:executionworkitem/fo:table-row" />
									</fo:table-body>
								</fo:table>
							</xsl:when>
							<!--										COMPOSITE STAND ALONE-->
							<xsl:when test="../ns2:executionworkitems/ns2:executionworkitem/fo:block">
								<xsl:copy-of
									select="../ns2:executionworkitems/ns2:executionworkitem/fo:block" />
							</xsl:when>
						</xsl:choose>
					</xsl:if>
							
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-ATTACHMENTS-TITLE'">
							
							<xsl:if test="../ns2:attachment">
						<fo:block font-size="10pt" space-before="4mm"
							space-after="4mm" font-weight="bold" text-decoration="underline"
							text-align="left" keep-with-next="always">
							<xsl:value-of
								select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelAttachments" />
						</fo:block>
						<fo:table border="0.5pt solid black">
							<fo:table-header>
								<fo:table-row keep-together="always">
									<fo:table-cell keep-together.within-column="always"
										width="7mm" border="0.5pt solid black" background-color="rgb(249,245,219)">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold" font-size="10pt">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										border="0.5pt solid black" background-color="rgb(249,245,219)">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold" font-size="10pt">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFileName" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										border="0.5pt solid black" background-color="rgb(249,245,219)">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold" font-size="10pt">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSize" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>
								<xsl:apply-templates select="../ns2:attachment" />
							</fo:table-body>
						</fo:table>
					</xsl:if>
							
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-WI-SECTION-TITLE'">
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-RISK-TITLE'">

								<xsl:if test="../ns2:risk">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always"> Risk Assessment </fo:block>
									<fo:block font-size="10pt" space-after="4mm">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.risk.editor.section.planAssessment" />
									</fo:block>
									<fo:block space-after="4mm">
										Risk Assessment:
										<xsl:value-of select="../ns2:risk/ns2:riskLevel" />
									</fo:block>
									<xsl:if test="../ns2:risk/ns2:factors/ns2:factor">
										<fo:table space-after="4mm">
											<fo:table-header>
												<fo:table-row background-color="rgb(249,245,219)">
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-weight="bold"> Risk </fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-weight="bold"> Importance </fo:block>
														</fo:block-container>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-header>
											<fo:table-body>
												<xsl:for-each select="../ns2:risk/ns2:factors/ns2:factor">
													<fo:table-row>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block>
																	<xsl:value-of select="ns2:name" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block>
																	<xsl:value-of select="ns2:weight" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</xsl:for-each>
											</fo:table-body>
										</fo:table>
									</xsl:if>
									<xsl:if test="../ns2:risk/ns2:commnunityAssessment">
										<fo:table>
											<fo:table-column column-width="25mm" />
											<fo:table-column column-width="25mm" />
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Very High:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:veryHighAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>High:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:highAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Neutral:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:neutralAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Low:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:lowAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Very Low:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:veryLowAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
									</xsl:if>
								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TC-NOTES-TITLE'">
							
							
								<xsl:if
									test="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										Notes:
									</fo:block>
									<fo:block font-size="10pt" space-after="4mm">
										<xsl:apply-templates
											select="../ns15:com.ibm.rqm.planning.editor.section.testCaseExpectedResults" />
									</fo:block>
								</xsl:if>
							
							
							</xsl:when>

							<!--

								This will print any custom formatted sections
							-->
							<xsl:otherwise>
							
							<xsl:if test="../ns15:*[@extensionDisplayName=current()/@name]">
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns15:*[@extensionDisplayName=current()/@name]" />
									</fo:block>
								</xsl:if>
							
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>


					<xsl:if test="ns2:workitem">
						<fo:block font-size="10pt" space-before="4mm"
							space-after="4mm" font-weight="bold" text-decoration="underline"
							text-align="left" keep-with-next="always">
							<xsl:value-of
								select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWorkItems" />
						</fo:block>
						<xsl:choose>
							<!--								COMPOSITE RECURSIVE PRINT-->
							<xsl:when
								test="(ns2:workitem/fo:wrapper/fo:block) and (ns2:workitem/fo:wrapper/fo:table-row)">
								<fo:table border="0.5pt solid black">
									<fo:table-header>
										<fo:table-row keep-together="always"
											background-color="rgb(249,245,219)">
											<fo:table-cell keep-together.within-column="always"
												width="25mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelType" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="7mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
											<fo:table-cell keep-together.within-column="always"
												width="20mm" padding="3pt" border="0.5pt solid black">
												<fo:block-container overflow="hidden">
													<fo:block font-weight="bold">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
													</fo:block>
												</fo:block-container>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-header>
									<fo:table-body>
										<xsl:copy-of select="ns2:workitem/fo:wrapper/fo:table-row" />
									</fo:table-body>
								</fo:table>
								<xsl:for-each select="ns2:tworkitem/fo:wrapper/fo:block">
									<xsl:choose>
										<xsl:when test="//pageBreaks = 'false'">
											<fo:block>
												<fo:leader/>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block break-before="page">
												<xsl:if test="position()=last()">
													<xsl:attribute name="break-after">page</xsl:attribute>
												</xsl:if>
												<xsl:copy-of select="." />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!--									COMPOSITE SUMMARY VIEW-->
							<xsl:when test="ns2:workitem/fo:table">
								<fo:table border="0.5pt solid black">
									<xsl:copy-of select="ns2:workitem/fo:table/fo:table-header" />
									<fo:table-body>
										<xsl:copy-of
											select="ns2:workitem/fo:table/fo:table-body/fo:table-row" />
										<xsl:copy-of select="ns2:workitem/fo:table-row" />
									</fo:table-body>
								</fo:table>
							</xsl:when>
							<!--										COMPOSITE STAND ALONE-->
							<xsl:when test="ns2:workitem/fo:block">
								<xsl:copy-of select="ns2:workitem/fo:block" />
							</xsl:when>
						</xsl:choose>
					</xsl:if>
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ns2:attachment">
		<xsl:if test="name">
			<fo:table-row keep-together="always">
				<fo:table-cell keep-together.within-column="always"
					padding="3pt" border="0.5pt solid black">
					<fo:block-container overflow="hidden">
						<fo:block>
							<xsl:value-of select="id" />
						</fo:block>
					</fo:block-container>
				</fo:table-cell>
				<fo:table-cell keep-together.within-column="always"
					padding="3pt" border="0.5pt solid black">
					<fo:block-container overflow="hidden">
						<fo:block>
							<xsl:value-of select="name" />
						</fo:block>
					</fo:block-container>
				</fo:table-cell>
				<fo:table-cell keep-together.within-column="always"
					padding="3pt" border="0.5pt solid black">
					<fo:block-container overflow="hidden">
						<fo:block>
							<xsl:value-of select="size" />
						</fo:block>
					</fo:block-container>
				</fo:table-cell>
			</fo:table-row>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ns2:approvals/ns2:approvalDescriptor">
		<fo:table-row keep-together="always">
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:choose>
							<xsl:when
								test="ns2:approvalType='com.ibm.team.workitem.approvalType.approval'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelApprovalApprovalTable" />
							</xsl:when>
							<xsl:when
								test="ns2:approvalType='com.ibm.team.workitem.approvalType.review'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelReviewerApprovalTable" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:call-template name="wrap-on-all-characters">
							<xsl:with-param name="text-content"
								select="ns2:approval/ns2:approvalOwner" />
						</xsl:call-template>
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:choose>
							<xsl:when
								test="ns2:approval/ns2:approvalStatus='com.ibm.team.workitem.approvalState.approved'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
							</xsl:when>
							<xsl:when
								test="ns2:approval/ns2:approvalStatus='com.ibm.team.workitem.approvalState.pending'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="comment/content" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="comment/date" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<xsl:template name="makeDynamicGrid">
		<xsl:param name="text" />
		<xsl:variable name="columnString"
			select="substring-before(substring-after($text,'&quot;columnNames&quot;:[&quot;'),'&quot;]')" />
		<xsl:variable name="rowsString"
			select="substring-before(substring-after($text,'&quot;value&quot;:[[&quot;'),'&quot;]]')" />
		<fo:table>
			<fo:table-header>
				<fo:table-row keep-together="always" background-color="rgb(222,242,236)"
					text-align="left">
					<xsl:call-template name="readRow">
						<xsl:with-param name="list" select="$columnString" />
					</xsl:call-template>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:call-template name="readRows">
					<xsl:with-param name="list" select="$rowsString" />
				</xsl:call-template>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<xsl:template name="readRows">
		<xsl:param name="list" />
		<xsl:variable name="newlist">
			<xsl:choose>
				<xsl:when test="contains($list, '&quot;],[&quot;')">
					<xsl:value-of select="normalize-space($list)" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat(normalize-space($list), '&quot;],[&quot;')" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="first"
			select="substring-before($newlist, '&quot;],[&quot;')" />
		<xsl:variable name="remaining"
			select="substring-after($newlist, '&quot;],[&quot;')" />
		<fo:table-row keep-together="always">
			<xsl:call-template name="readRow">
				<xsl:with-param name="list" select="$first" />
			</xsl:call-template>
		</fo:table-row>
		<xsl:if test="$remaining">
			<xsl:call-template name="readRows">
				<xsl:with-param name="list" select="$remaining" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="readRow">
		<xsl:param name="list" />
		<xsl:variable name="newlist">
			<xsl:choose>
				<xsl:when test="contains($list, '&quot;,&quot;')">
					<xsl:value-of select="normalize-space($list)" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat(normalize-space($list), '&quot;,&quot;')" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="first"
			select="substring-before($newlist, '&quot;,&quot;')" />
		<xsl:variable name="remaining"
			select="substring-after($newlist, '&quot;,&quot;')" />
		<fo:table-cell keep-together.within-column="always"
			border="0.5pt solid black" padding="3pt">
			<fo:block-container overflow="hidden">
				<fo:block>
					<xsl:value-of select="$first" />
				</fo:block>
			</fo:block-container>
		</fo:table-cell>
		<xsl:if test="$remaining">
			<xsl:call-template name="readRow">
				<xsl:with-param name="list" select="$remaining" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ns15:*">
		<xsl:if
			test="
	  not(contains(@extensionDisplayName,'RQM-KEY-TC-PRE-COND-TITLE')) and 
	  not(contains(@extensionDisplayName,'RQM-KEY-TC-POST-COND-TITLE')) and 
	  not(contains(@extensionDisplayName,'RQM-KEY-TC-EXP-RESULTS-TITLE')) and 
	  not(contains(@extensionDisplayName,'RQM-KEY-TC-NOTES-TITLE')) and 
	  not(contains(@extensionDisplayName,'RQM-KEY-TC-DESIGN-TITLE'))">
			<fo:block font-size="10pt" space-before="4mm" space-after="4mm"
				font-weight="bold" text-decoration="underline" text-align="left"
				keep-with-next="always">
				<xsl:value-of select="@extensionDisplayName" />
			</fo:block>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="@type='GRID'">
				<xsl:call-template name="makeDynamicGrid">
					<xsl:with-param name="text" select="." />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*|text()" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
