<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:ns2="http://jazz.net/xmlns/alm/qm/v0.1/" xmlns:ns10="http://jazz.net/xmlns/alm/qm/v0.1/executionworkitem/v0.1"
	xmlns:ns11="http://jazz.net/xmlns/alm/qm/v0.1/tsl/v0.1/" xmlns:ns12="http://schema.ibm.com/vega/2008/"
	xmlns:ns3="http://purl.org/dc/elements/1.1/" xmlns:ns4="http://jazz.net/xmlns/alm/v0.1/"
	xmlns:ns5="http://jazz.net/xmlns/alm/qm/qmadapter/task/v0.1" xmlns:ns6="http://jazz.net/xmlns/alm/qm/qmadapter/v0.1"
	xmlns:ns7="http://jazz.net/xmlns/alm/qm/v0.1/executionresult/v0.1"
	xmlns:ns8="http://jazz.net/xmlns/alm/qm/v0.1/catalog/v0.1" xmlns:ns9="http://jazz.net/xmlns/alm/qm/v0.1/testscript/v0.1/"
	xmlns:ns14="http://jazz.net/xmlns/alm/qm/v0.1/#extension"
	exclude-result-prefixes="ns14 ns9 ns10 ns11 ns8 ns7 ns6 ns5 ns4 ns3 ns2 xsl">
	<xsl:include href="xhtml-to-xslfo.xsl" />
	<xsl:variable name="lang">
		<xsl:value-of select="locale" />
	</xsl:variable>
	<xsl:template match="transformArgs">
		<xsl:choose>
			<xsl:when
				test="(componentType='STAND_ALONE') or (componentType='STAND_ALONE_SUMMARY')">
				<fo:page-sequence xmlns:fo="http://www.w3.org/1999/XSL/Format"
					initial-page-number="1" force-page-count="no-force"
					master-reference="PageMaster">
					<fo:static-content flow-name="xsl-region-before">
						<fo:block font-size="8pt" text-align="right">
							<fo:page-number />
							/
							<fo:page-number-citation ref-id="{reqNumber}" />
						</fo:block>
					</fo:static-content>
					<fo:static-content flow-name="xsl-region-after">
						<fo:block-container height="0.1in"
							padding-after="0.07in">
							<fo:block text-align="center">
								<fo:leader leader-pattern='rule' rule-thickness='1pt'
									leader-length='100%' />
							</fo:block>
						</fo:block-container>
						<fo:block text-align="center">
							<fo:retrieve-marker retrieve-class-name="artifactUri" />
						</fo:block>
					</fo:static-content>
					<fo:flow flow-name="xsl-region-body">
						<fo:marker marker-class-name="artifactUri">
							<fo:block font-size="6pt">
								<fo:basic-link external-destination="{originUrl}"
									color="blue" text-decoration="underline">
									<xsl:value-of select="originUrl" />
								</fo:basic-link>
							</fo:block>
						</fo:marker>
						<xsl:apply-templates select="descendant::ns2:testplan" />
						<fo:block id="{reqNumber}" />
					</fo:flow>
				</fo:page-sequence>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="descendant::ns2:testplan" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ns2:testplan">
		<xsl:choose>
			<xsl:when
				test="(../../componentType='SUMMARY') or (../../componentType='STAND_ALONE_SUMMARY')">
				<xsl:choose>
					<xsl:when
						test="../../componentType='STAND_ALONE_SUMMARY' or (../../componentType='COMPOSITE_SUMMARY')">
						<xsl:if test="../../componentType='STAND_ALONE_SUMMARY'">
							<fo:block font-size="14pt" space-before="6mm"
								space-after="2mm">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
								:
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestPlan" />
							</fo:block>
						</xsl:if>
						<fo:table border="0.5pt solid black">
							<fo:table-header>
								<fo:table-row keep-together="always"
									background-color="rgb(249,245,219)">
									<fo:table-cell keep-together.within-column="always"
										width="7mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="30mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="22mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/Product" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="22mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/Release" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										width="30mm" padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-weight="bold">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>
								<fo:table-row keep-together="always">
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:variable name="alias" select="ns3:alias" />
												<xsl:value-of select="substring-after($alias,'testplan:')" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:apply-templates select="ns3:title"/>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:choose>
													<xsl:when
														test="ns4:state='com.ibm.rqm.planning.common.underreview'">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
													</xsl:when>
													<xsl:when test="ns4:state='com.ibm.rqm.planning.common.new'">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
													</xsl:when>
													<xsl:when
														test="ns4:state='com.ibm.rqm.planning.common.approved'">
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
													</xsl:when>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:choose>
													<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Product]">
														<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Product]/@value" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:choose>
													<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Release]">
														<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Release]/@value" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of
															select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
									<fo:table-cell keep-together.within-column="always"
										padding="3pt" border="0.5pt solid black">
										<fo:block-container overflow="hidden">
											<fo:block font-size="10pt">
												<xsl:value-of select="ns4:updated" />
											</fo:block>
										</fo:block-container>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row keep-together="always">
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:variable name="alias" select="ns3:alias" />
										<xsl:value-of select="substring-after($alias,'testplan:')" />
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:apply-templates select="ns3:title"/>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:choose>
											<xsl:when
												test="ns4:state='com.ibm.rqm.planning.common.underreview'">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
											</xsl:when>
											<xsl:when test="ns4:state='com.ibm.rqm.planning.common.new'">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
											</xsl:when>
											<xsl:when test="ns4:state='com.ibm.rqm.planning.common.approved'">
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
											</xsl:when>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:choose>
											<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Product]">
												<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Product]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:choose>
											<xsl:when test="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Release]">
												<xsl:value-of select="ns2:category[@term=document('fopmessages.xml')/fopmessages//*[name()=$lang]/Release]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of
													select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
							<fo:table-cell keep-together.within-column="always"
								padding="3pt" border="0.5pt solid black">
								<fo:block-container overflow="hidden">
									<fo:block font-size="10pt">
										<xsl:value-of select="ns4:updated" />
									</fo:block>
								</fo:block-container>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xmlns:fo="http://www.w3.org/1999/XSL/Format">
					<xsl:if test="(../../componentType='COMPOSITE')">
						<!--						<xsl:attribute name="break-after">page</xsl:attribute>-->
					</xsl:if>
					<fo:block font-size="14pt" space-after="6mm" text-align="left"
						font-weight="bold" text-decoration="underline" color="rgb(0,0,0)">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestPlan" />
						:
						<xsl:apply-templates select="ns3:title"/>
					</fo:block>
					<fo:block font-size="10pt" space-after="2mm" text-align="left"
						font-weight="bold">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeloriginatorLabel" />
						:
						<xsl:value-of select="ns3:creator" />
					</fo:block>
					<fo:block font-size="10pt" space-after="4mm" text-align="left"
						font-weight="bold">
						<xsl:value-of
							select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
						:
						<xsl:choose>
							<xsl:when test="ns4:state='com.ibm.rqm.planning.common.new'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.new" />
							</xsl:when>
							<xsl:when test="ns4:state='com.ibm.rqm.planning.common.underreview'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.underreview" />
							</xsl:when>
							<xsl:when test="ns4:state='com.ibm.rqm.planning.common.approved'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.common.approved" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>

					<xsl:for-each select="ns2:section">
						<xsl:choose>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TP-SUMMARY-TITLE'">

								<fo:block font-size="10pt" space-after="4mm"
									space-before="4mm" font-weight="bold" text-decoration="underline"
									text-align="left">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
								</fo:block>
								<xsl:for-each select="../../../categoryType">
									<fo:block>
										<xsl:value-of select="current()" />
										:
										<xsl:choose>
											<xsl:when test="../artifactXML/ns2:testplan/ns2:category[@term=current()]">
												<xsl:value-of select="../artifactXML/ns2:testplan/ns2:category[@term=current()]/@value" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</xsl:for-each>
								<fo:block font-size="10pt" space-before="4mm"
									space-after="4mm">
									<xsl:value-of
										select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
									:
									<xsl:value-of select="../ns3:description" />
								</fo:block>

							</xsl:when>
							
							<!-- BUSINESS OBJECTIVES -->
							<xsl:when test="@name='RQM-KEY-TP-BUSS-OBJ-TITLE'">
								<xsl:if
									test="../ns14:com.ibm.rqm.planning.editor.section.planBusinessObjectives">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TP-BUSS-OBJ-TITLE" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates
											select="../ns14:com.ibm.rqm.planning.editor.section.planBusinessObjectives" />
									</fo:block>
								</xsl:if>
							</xsl:when>
							
							<!-- TEST OBJECTIVES -->
							<xsl:when test="@name='RQM-KEY-TP-TEST-OBJ-TITLE'">
								<xsl:if test="../ns14:com.ibm.rqm.planning.editor.section.planTestObjectives">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TP-TEST-OBJ-TITLE" />
									</fo:block>
									<fo:block font-size="10pt">
										<xsl:apply-templates select="../ns14:com.ibm.rqm.planning.editor.section.planTestObjectives" />
									</fo:block>
								</xsl:if>
							</xsl:when>
							<!--
								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-REVIEW-TITLE'">
								<xsl:if test="../ns2:approvals">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFormalReview" />
									</fo:block>
									<fo:table>
										<fo:table-header>
											<fo:table-row keep-together="always"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="30mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTitleApprovalTable" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="45mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_comments" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:apply-templates
												select="../ns2:approvals/ns2:approvalDescriptor" />
										</fo:table-body>
									</fo:table>
								</xsl:if>
							</xsl:when>
							
							<!-- REQUIREMENTS -->
							<xsl:when test="@name='RQM-KEY-TP-REQ-TITLE'">
								<xsl:if test="../ns2:requirement">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelRequirements" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:requirement/fo:wrapper/fo:block) and (../ns2:requirement/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="7mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="30mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelOwner" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:requirement/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:requirement/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<fo:leader/>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:if test="position()=last()">
																<xsl:attribute name="break-after">page</xsl:attribute>
															</xsl:if>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:requirement/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:requirement/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:requirement/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:requirement/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:requirement/fo:block">
											<xsl:copy-of select="../ns2:requirement/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-TIMEBOX-TITLE'">
								<xsl:if test="../ns2:testSchedule/ns2:testPhase">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-PROC-TIMEBOX-TITLE" />
									</fo:block>
									<fo:table>
										<fo:table-header>
											<fo:table-row keep-together="always"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="30mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelStartDateTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelEndDateTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelDurationTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPointsTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActStartDateTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActEndDateTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActDurationTimeBox" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:apply-templates select="../ns2:testSchedule/ns2:testPhase" />
										</fo:table-body>
									</fo:table>
								</xsl:if>

								<xsl:if test="../ns2:keydates/ns2:keydate">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelKeyDateTableTimeBox" />
									</fo:block>
									<fo:table keep-together="always">
										<fo:table-header>
											<fo:table-row keep-together="always"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="40mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="60mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labeldescription" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelDate" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:apply-templates select="../ns2:keydates/ns2:keydate" />
										</fo:table-body>
									</fo:table>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-SIZING-TITLE'">
								<xsl:if test="../ns2:estimation">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-PROC-SIZING-TITLE" />
									</fo:block>
									<xsl:apply-templates select="../ns2:estimation" />
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TP-ENV-TITLE'">
								<xsl:if test="../ns2:configfuration">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestEnvironment" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:configfuration/fo:wrapper/fo:block) and (../ns2:configfuration/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always">
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	Server
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/Browsers" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/CPU" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/DataBase" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/ManagementAgent" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/operatingsystem" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold" font-size="10pt">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/TestAdapter" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:configuration/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:configuration/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:configuration/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:configuration/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:configuration/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:configuration/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:configuration/fo:block">
											<xsl:copy-of select="../ns2:configuration/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TP-TEST-TEAM-TITLE'">
								<xsl:if test="../ns2:teamarea">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-TP-TEST-TEAM-TITLE" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:teamarea/fo:wrapper/fo:block) and (../ns2:teamarea/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSummary" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:teamarea/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:teamarea/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:teamarea/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:teamarea/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:teamarea/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:teamarea/fo:block">
											<xsl:copy-of select="../ns2:teamarea/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-QUALITY-GOAL-TITLE'">
								<xsl:if
									test="../ns2:objectives/ns2:objectiveStatus/ns2:group='com.ibm.rqm.process.web.qualityGoalSection'">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelQualityObjectives" />
									</fo:block>
									<fo:table space-after="4mm">
										<fo:table-header>
											<fo:table-row space-after="4mm"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="50mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-size="10pt" font-weight="bold"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelObjective" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelExpected" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActual" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="25mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelComment" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:for-each
												select="../ns2:objectives/ns2:objectiveStatus[ns2:group='com.ibm.rqm.process.web.qualityGoalSection']">
												<fo:table-row>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//*[local-name()='title']" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//ns2:operator" />
																<xsl:text />
																<xsl:value-of select=".//ns2:targetValue" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select="ns2:actualValue" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:choose>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.success'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.success" />
																	</xsl:when>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.unsuccessful'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.unsuccessful" />
																	</xsl:when>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.unresolved'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.unresolved" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.not_started" />
																	</xsl:otherwise>
																</xsl:choose>
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//*[local-name()='comment']" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
												</fo:table-row>
											</xsl:for-each>
										</fo:table-body>
									</fo:table>

								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-ENTRY-CRITERIA-TITLE'">
								<xsl:if
									test="../ns2:objectives/ns2:objectiveStatus/ns2:group='com.ibm.rqm.process.web.entryCriteria'">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-PROC-ENTRY-CRITERIA-TITLE" />
									</fo:block>

									<fo:table space-after="4mm">
										<fo:table-header>
											<fo:table-row space-after="4mm"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="50mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-size="10pt" font-weight="bold"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelObjective" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelExpected" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActual" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="25mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelComment" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:for-each
												select="../ns2:objectives/ns2:objectiveStatus[ns2:group='com.ibm.rqm.process.web.entryCriteria']">
												<fo:table-row>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//*[local-name()='title']" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//ns2:operator" />
																<xsl:text />
																<xsl:value-of select=".//ns2:targetValue" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select="ns2:actualValue" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:choose>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.success'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.success" />
																	</xsl:when>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.unsuccessful'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.unsuccessful" />
																	</xsl:when>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.unresolved'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.unresolved" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.not_started" />
																	</xsl:otherwise>
																</xsl:choose>
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//*[local-name()='comment']" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
												</fo:table-row>
											</xsl:for-each>
										</fo:table-body>
									</fo:table>


								</xsl:if>

							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-PROC-EXIT-CRITERIA-TITLE'">
								<xsl:if
									test="../ns2:objectives/ns2:objectiveStatus/ns2:group='com.ibm.rqm.process.web.exitCriteria'">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/RQM-KEY-PROC-EXIT-CRITERIA-TITLE" />
									</fo:block>

									<fo:table space-after="4mm">
										<fo:table-header>
											<fo:table-row space-after="4mm"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="50mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-size="10pt" font-weight="bold"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelObjective" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelExpected" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="20mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelActual" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													width="25mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/reqLabel_status" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold" font-size="10pt"
															text-align="left">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelComment" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:for-each
												select="../ns2:objectives/ns2:objectiveStatus[ns2:group='com.ibm.rqm.process.web.exitCriteria']">
												<fo:table-row>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//*[local-name()='title']" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//ns2:operator" />
																<xsl:text />
																<xsl:value-of select=".//ns2:targetValue" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select="ns2:actualValue" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:choose>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.success'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.success" />
																	</xsl:when>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.unsuccessful'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.unsuccessful" />
																	</xsl:when>
																	<xsl:when
																		test="ns2:state='com.ibm.rqm.planning.objectives.unresolved'">
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.unresolved" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/com.ibm.rqm.planning.objectives.not_started" />
																	</xsl:otherwise>
																</xsl:choose>
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														border="0.5pt solid black" padding="3pt">
														<fo:block-container overflow="hidden">
															<fo:block font-size="10pt" text-align="left">
																<xsl:value-of select=".//*[local-name()='comment']" />
															</fo:block>
														</fo:block-container>
													</fo:table-cell>
												</fo:table-row>
											</xsl:for-each>
										</fo:table-body>
									</fo:table>

								</xsl:if>
							</xsl:when>
							
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TP-TEST-CASES-TITLE'">
								<xsl:if test="../ns2:testcase">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTestCases" />
									</fo:block>
									<xsl:choose>
										<!--								COMPOSITE RECURSIVE PRINT-->
										<xsl:when
											test="(../ns2:testcase/fo:wrapper/fo:block) and (../ns2:testcase/fo:wrapper/fo:table-row)">
											<fo:table border="0.5pt solid black">
												<fo:table-header>
													<fo:table-row keep-together="always"
														background-color="rgb(249,245,219)">
														<fo:table-cell keep-together.within-column="always"
															width="7mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelName" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="15mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelState" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="22mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelCategory" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="22mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFunction" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="22mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelTheme" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="15mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelWeight" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															width="20mm" padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block font-weight="bold">
																	<xsl:value-of
																		select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelModifiedDate" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-header>
												<fo:table-body>
													<xsl:copy-of select="../ns2:testcase/fo:wrapper/fo:table-row" />
												</fo:table-body>
											</fo:table>
											<xsl:for-each select="../ns2:testcase/fo:wrapper/fo:block">
												<xsl:choose>
													<xsl:when test="//pageBreaks = 'false'">
														<fo:block>
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block break-before="page">
															<xsl:copy-of select="." />
														</fo:block>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:when>
										<!--									COMPOSITE SUMMARY VIEW-->
										<xsl:when test="../ns2:testcase/fo:table">
											<fo:table border="0.5pt solid black">
												<xsl:copy-of select="../ns2:testcase/fo:table/fo:table-header" />
												<fo:table-body>
													<xsl:copy-of
														select="../ns2:testcase/fo:table/fo:table-body/fo:table-row" />
													<xsl:copy-of select="../ns2:testcase/fo:table-row" />
												</fo:table-body>
											</fo:table>
										</xsl:when>
										<!--										COMPOSITE STAND ALONE-->
										<xsl:when test="../ns2:testcase/fo:block">
											<xsl:copy-of select="../ns2:testcase/fo:block" />
										</xsl:when>
									</xsl:choose>
								</xsl:if>
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-TP-RESOURCES-TITLE'">
							</xsl:when>
							<!--

								This will print the summary section of the testplan
							-->
							<xsl:when test="@name='RQM-KEY-ATTACHMENTS-TITLE'">
								<xsl:if test="../ns2:attachment">

									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always">
										<xsl:value-of
											select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelAttachments" />
									</fo:block>
									<fo:table keep-together="always">
										<fo:table-header>
											<fo:table-row keep-together="always"
												background-color="rgb(249,245,219)">
												<fo:table-cell keep-together.within-column="always"
													width="7mm" padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelId" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelFileName" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
												<fo:table-cell keep-together.within-column="always"
													padding="3pt" border="0.5pt solid black">
													<fo:block-container overflow="hidden">
														<fo:block font-weight="bold">
															<xsl:value-of
																select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelSize" />
														</fo:block>
													</fo:block-container>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-header>
										<fo:table-body>
											<xsl:apply-templates select="../ns2:attachment" />
										</fo:table-body>
									</fo:table>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@name='RQM-KEY-TP-RISK-TITLE'">
								<xsl:if test="../ns2:risk">
									<fo:block font-size="10pt" space-before="4mm"
										space-after="4mm" font-weight="bold" text-decoration="underline"
										text-align="left" keep-with-next="always"> Risk Assessment </fo:block>
									<fo:block font-size="10pt" space-after="4mm">
										<xsl:apply-templates
											select="../ns14:com.ibm.rqm.risk.editor.section.planAssessment" />
									</fo:block>
									<fo:block space-after="4mm">
										Risk Assessment:
										<xsl:value-of select="../ns2:risk/ns2:riskLevel" />
									</fo:block>
									<xsl:if test="../ns2:risk/ns2:factors/ns2:factor">
										<fo:table space-after="4mm">
											<fo:table-header>
												<fo:table-row background-color="rgb(249,245,219)">
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-weight="bold"> Risk </fo:block>
														</fo:block-container>
													</fo:table-cell>
													<fo:table-cell keep-together.within-column="always"
														padding="3pt" border="0.5pt solid black">
														<fo:block-container overflow="hidden">
															<fo:block font-weight="bold"> Importance </fo:block>
														</fo:block-container>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-header>
											<fo:table-body>
												<xsl:for-each select="../ns2:risk/ns2:factors/ns2:factor">
													<fo:table-row>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block>
																	<xsl:value-of select="ns2:name" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
														<fo:table-cell keep-together.within-column="always"
															padding="3pt" border="0.5pt solid black">
															<fo:block-container overflow="hidden">
																<fo:block>
																	<xsl:value-of select="ns2:weight" />
																</fo:block>
															</fo:block-container>
														</fo:table-cell>
													</fo:table-row>
												</xsl:for-each>
											</fo:table-body>
										</fo:table>
									</xsl:if>
									<xsl:if test="../ns2:risk/ns2:commnunityAssessment">
										<fo:table>
											<fo:table-column column-width="25mm" />
											<fo:table-column column-width="25mm" />
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Very High:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:veryHighAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>High:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:highAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Neutral:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:neutralAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Low:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:lowAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell>
														<fo:block>Very Low:</fo:block>
													</fo:table-cell>
													<fo:table-cell>
														<fo:block>
															<xsl:value-of
																select="../ns2:risk/ns2:commnunityAssessment/ns2:veryLowAmount" />
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
									</xsl:if>
								</xsl:if>
							</xsl:when>
							<xsl:when test="@name='RQM-KEY-APPSCAN-TP-APPLICATION-SECURITY-TITLE'">
							</xsl:when>
							<!--

								This will print any custom formatted sections
							-->
							<xsl:otherwise>

								<xsl:if test="../ns14:*[@extensionDisplayName=current()/@name]">
									<fo:block font-size="10pt" space-after="4mm">
										<xsl:apply-templates
											select="../ns14:*[@extensionDisplayName=current()/@name]" />
									</fo:block>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="ns2:attachment">
		<xsl:if test="name">
			<fo:table-row keep-together="always">
				<fo:table-cell keep-together.within-column="always"
					padding="3pt" border="0.5pt solid black">
					<fo:block-container overflow="hidden">
						<fo:block>
							<xsl:value-of select="id" />
						</fo:block>
					</fo:block-container>
				</fo:table-cell>
				<fo:table-cell keep-together.within-column="always"
					padding="3pt" border="0.5pt solid black">
					<fo:block-container overflow="hidden">
						<fo:block>
							<xsl:value-of select="name" />
						</fo:block>
					</fo:block-container>
				</fo:table-cell>
				<fo:table-cell keep-together.within-column="always"
					padding="3pt" border="0.5pt solid black">
					<fo:block-container overflow="hidden">
						<fo:block>
							<xsl:value-of select="size" />
						</fo:block>
					</fo:block-container>
				</fo:table-cell>
			</fo:table-row>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ns2:keydates/ns2:keydate">
		<fo:table-row keep-together="always">
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="ns2:name" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="ns2:description" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="ns2:date" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<xsl:template match="ns2:testSchedule/ns2:testPhase">
		<fo:table-row keep-together="always">
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="name" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="description" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="plannedStartDate" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="plannedEndDate" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="plannedDuration" />
						d
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="points" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="actualStartDate" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="actualEndDate" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="actualDuration" />
						d
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<xsl:template match="ns2:estimation">
		<fo:table keep-together="always" space-after="10pt">
			<fo:table-column column-width="32mm" />
			<fo:table-column column-width="5mm" />
			<fo:table-column column-width="100%" />
			<fo:table-body>
				<fo:table-row keep-together="always">
					<fo:table-cell keep-together.within-column="always">
						<fo:block-container overflow="hidden">
							<fo:block font-size="10pt" font-weight="bold">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPlanningEffort" />
							</fo:block>
						</fo:block-container>
					</fo:table-cell>
					<fo:table-cell keep-together.within-column="always">
						<fo:block-container overflow="hidden">
							<fo:block font-size="10pt" font-weight="bold">:</fo:block>
						</fo:block-container>
					</fo:table-cell>
					<fo:table-cell keep-together.within-column="always">
						<fo:block-container overflow="hidden">
							<fo:block font-size="10pt">
								<xsl:call-template name="ConvertHours">
									<xsl:with-param name="TotalHours" select="ns2:planningEffort" />
								</xsl:call-template>
							</fo:block>
						</fo:block-container>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-together="always">
					<fo:table-cell keep-together.within-column="always">
						<fo:block-container overflow="hidden">
							<fo:block font-weight="bold" font-size="10pt">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelExecutionEffort" />
							</fo:block>
						</fo:block-container>
					</fo:table-cell>
					<fo:table-cell keep-together.within-column="always">
						<fo:block-container overflow="hidden">
							<fo:block font-weight="bold" font-size="10pt">:</fo:block>
						</fo:block-container>
					</fo:table-cell>
					<fo:table-cell keep-together.within-column="always">
						<fo:block-container overflow="hidden">
							<fo:block font-size="10pt">
								<xsl:call-template name="ConvertHours">
									<xsl:with-param name="TotalHours" select="ns2:executionEffort" />
								</xsl:call-template>
							</fo:block>
						</fo:block-container>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<xsl:template match="ns2:approvals/ns2:approvalDescriptor">
		<fo:table-row keep-together="always">
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:choose>
							<xsl:when
								test="ns2:approvalType='com.ibm.team.workitem.approvalType.approval'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelApprovalApprovalTable" />
							</xsl:when>
							<xsl:when
								test="ns2:approvalType='com.ibm.team.workitem.approvalType.review'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelReviewerApprovalTable" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="ns2:approval/ns2:approvalOwner" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:choose>
							<xsl:when
								test="ns2:approval/ns2:approvalStatus='com.ibm.team.workitem.approvalState.approved'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelApprovedApprovalTable" />
							</xsl:when>
							<xsl:when
								test="ns2:approval/ns2:approvalStatus='com.ibm.team.workitem.approvalState.pending'">
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelPendingApprovalTable" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of
									select="document('fopmessages.xml')/fopmessages//*[name()=$lang]/labelUnassigned" />
							</xsl:otherwise>
						</xsl:choose>
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="comment/content" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
			<fo:table-cell keep-together.within-column="always"
				padding="3pt" border="0.5pt solid black">
				<fo:block-container overflow="hidden">
					<fo:block>
						<xsl:value-of select="comment/date" />
					</fo:block>
				</fo:block-container>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>


	<xsl:template name="ConvertHours">
		<xsl:param name="TotalHours" />
		<xsl:variable name="Years" select="($TotalHours) div 8760" />
		<xsl:variable name="Months" select="($TotalHours) div 720" />
		<xsl:variable name="Days" select="($TotalHours) div 24" />
		<xsl:variable name="Hours" select="($TotalHours)" />
		<xsl:choose>
			<xsl:when test="($Years &gt;= 1) and (floor($Years)=$Years)">
				<xsl:value-of select="floor($Years)" />
				Years
			</xsl:when>
			<xsl:when test="($Months &gt;= 1) and (floor($Months)=$Months)">
				<xsl:value-of select="floor($Months)" />
				Months
			</xsl:when>
			<xsl:when test="($Days &gt;= 1) and (floor($Days)=$Days)">
				<xsl:value-of select="floor($Days)" />
				Days
			</xsl:when>
			<xsl:when test="($Hours &gt;= 1) and (floor($Hours)=$Hours)">
				<xsl:value-of select="floor($Hours)" />
				Hours
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="makeDynamicGrid">
		<xsl:param name="text" />
		<xsl:variable name="columnString"
			select="substring-before(substring-after($text,'&quot;columnNames&quot;:[&quot;'),'&quot;]')" />
		<xsl:variable name="rowsString"
			select="substring-before(substring-after($text,'&quot;value&quot;:[[&quot;'),'&quot;]]')" />
		<fo:table>
			<fo:table-header>
				<fo:table-row keep-together="always" background-color="rgb(222,242,236)"
					text-align="left">
					<xsl:call-template name="readRow">
						<xsl:with-param name="list" select="$columnString" />
					</xsl:call-template>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:call-template name="readRows">
					<xsl:with-param name="list" select="$rowsString" />
				</xsl:call-template>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<xsl:template name="readRows">
		<xsl:param name="list" />
		<xsl:variable name="newlist">
			<xsl:choose>
				<xsl:when test="contains($list, '&quot;],[&quot;')">
					<xsl:value-of select="normalize-space($list)" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat(normalize-space($list), '&quot;],[&quot;')" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="first"
			select="substring-before($newlist, '&quot;],[&quot;')" />
		<xsl:variable name="remaining"
			select="substring-after($newlist, '&quot;],[&quot;')" />
		<fo:table-row keep-together="always">
			<xsl:call-template name="readRow">
				<xsl:with-param name="list" select="$first" />
			</xsl:call-template>
		</fo:table-row>
		<xsl:if test="$remaining">
			<xsl:call-template name="readRows">
				<xsl:with-param name="list" select="$remaining" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="readRow">
		<xsl:param name="list" />
		<xsl:variable name="newlist">
			<xsl:choose>
				<xsl:when test="contains($list, '&quot;,&quot;')">
					<xsl:value-of select="normalize-space($list)" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat(normalize-space($list), '&quot;,&quot;')" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="first"
			select="substring-before($newlist, '&quot;,&quot;')" />
		<xsl:variable name="remaining"
			select="substring-after($newlist, '&quot;,&quot;')" />
		<fo:table-cell keep-together.within-column="always"
			border="0.5pt solid black" padding="3pt">
			<fo:block-container overflow="hidden">
				<fo:block>
					<xsl:value-of select="$first" />
				</fo:block>
			</fo:block-container>
		</fo:table-cell>
		<xsl:if test="$remaining">
			<xsl:call-template name="readRow">
				<xsl:with-param name="list" select="$remaining" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="ns14:*">
		<xsl:if
			test="
	  not(contains(@extensionDisplayName,'RQM-KEY-TP-BUSS-OBJ-TITLE')) and 
	  not(contains(@extensionDisplayName,'RQM-KEY-TP-TEST-OBJ-TITLE'))">
			<fo:block font-size="10pt" space-before="4mm" space-after="4mm"
				font-weight="bold" text-decoration="underline" text-align="left"
				keep-with-next="always">
				<xsl:value-of select="@extensionDisplayName" />
			</fo:block>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="@type='GRID'">
				<xsl:call-template name="makeDynamicGrid">
					<xsl:with-param name="text" select="." />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*|text()" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
